This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 461227 - Incompatibility with GTK 2.14
Incompatibility with GTK 2.14
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gtkmm24 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Denis Leroy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-05 03:27 EDT by Mamoru TASAKA
Modified: 2008-11-16 08:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-16 08:07:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2008-09-05 03:27:21 EDT
Description of problem:
A.
JD cannot be lauched with the compination of GTK 2.14 and
gtkmm 2.13.7:
[tasaka1@localhost ~]$ jd
jd: symbol lookup error: /usr/lib/libgtkmm-2.4.so.1: undefined symbol: gtk_widget_get_allocation

The symbol gtk_widget_get_allocation is introduced in unstable GTK 2.13.x branch
but again removed in stable GTK 2.14.0 (ChangeLog mentions this)

B.
So I tried to rebuild gtkmm but it fails (see GNOME bugzilla 550290)


Version-Release number of selected component (if applicable):
gtkmm24-2.13.7-1.fc10.i386
gtk2-2.14.0-3.fc10.i386
jd-2.0.1-0.2.beta080901.fc10.i386

How reproducible:
100%

Steps to Reproduce:
Actual results:
See above

Expected results:


Additional info:
Fixed in gtkmm rev 1035
Comment 1 Mamoru TASAKA 2008-09-05 04:37:16 EDT
Now I temporarily applied a patch pulled from gtkmm svn in 2.13.7-2.fc10 
as I frequently use JD. I guess the patch can be removed when 2.14 is out.
Comment 2 Denis Leroy 2008-09-05 04:56:28 EDT
No problem, thanks for your help.
Comment 3 Mamoru TASAKA 2008-09-12 03:29:15 EDT
2.13.8 seems out.
Comment 4 Mamoru TASAKA 2008-11-16 08:07:12 EST
This one is already resolved.

Note You need to log in before you can comment on or make changes to this bug.